#ifndef __USBTYPES_H__
#define __USBTYPES_H__

typedef unsigned char			U8;		/**< unsigned 8-bit */
typedef unsigned short int		U16;	/**< unsigned 16-bit */
typedef unsigned int			U32;	/**< unsigned 32-bit */

typedef unsigned char			BYTE;	/**< unsigned 8-bit */
typedef unsigned short int		WORD;	/**< unsigned 16-bit */
typedef unsigned long			DWORD;	/**< unsigned 32-bit */

typedef unsigned short int		USHORT;	/**< unsigned 16-bit */
typedef unsigned int			UINT32;	/**< unsigned 32-bit */

typedef int						BOOL;	/**< #TRUE or #FALSE */

#define	NTSTATUS				DWORD

#define	TRUE	1						/**< TRUE */
#define FALSE	0						/**< FALSE */

#ifndef NULL
#define NULL	((void*)0)				/**< NULL pointer */
#endif

/* some other useful macros */
#define MACMIN(x,y)	((x)<(y)?(x):(y))	/**< MIN */
#define MACMAX(x,y)	((x)>(y)?(x):(y))	/**< MAX */

#endif // __USBTYPES_H__
